<?php

   require('config.php');
    /* 
    //función para verificar los datos de acceso
    function query($query){
        //datos de conexion a la base de datos
        $db_server="localhost";
        $db_user="root";
        $db_pswd="";
        $db_database= "mi_cabanita";
        //hace la conexión real con la BD
        $cnn=mysqli_connect($db_server,$db_user,$db_pswd,$db_database)
		or die("Error: No se puede conectar con el servidor SQL");

        mysqli_select_db($cnn, $db_database)
		or die("ERROR: No se puede conectar con la Base de Datos");
		echo mysqli_error($cnn);
		
        $res = mysqli_query($cnn, $query);
        $cnn->close();
        return $res;
    } */
    function connection(){
        //hace la conexión real con la BD
        $cnn = mysqli_connect(DB_SERVER,DB_USER,DB_PASSWORD,DB_NAME);
        mysqli_set_charset($cnn, "utf8mb4");

        mysqli_select_db($cnn, DB_NAME);

        if (!$cnn) {
            die('Error de conexión: ' . mysqli_connect_error());
        }

        return $cnn;
    }

    function query($query) {
        $cnn = connection();

        $res = mysqli_query($cnn, $query);

        #$cnn->close();
        return $res;
    }

    function secure_query($query, $contraseña) {
        
        $cnn = connection();

        $stmt = $cnn->prepare($query);
        if ($stmt === false) {
            die("Error al preparar: " . $cnn->error);
        }

        $stmt->bind_param('s',$contraseña);
        

        $stmt->execute();

        // Retornar resultados si aplica
        if (stripos($query, 'SELECT') === 0 || stripos($query, 'CALL') === 0) {
            return $stmt->get_result();
        }

        $res = $stmt->affected_rows > 0;

        return $res;
    }

?>